<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: DoxygenWindow Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_doxygen_window.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="class_doxygen_window-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">DoxygenWindow Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p> 
 <a href="class_doxygen_window.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for DoxygenWindow:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_doxygen_window.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-types" name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ad1f6043062e30f52cb634b72294a5676"><td class="memItemLeft" align="right" valign="top">enum class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_doxygen_window.html#ad1f6043062e30f52cb634b72294a5676">WindowModes</a> { <a class="el" href="class_doxygen_window.html#ad1f6043062e30f52cb634b72294a5676a32b919d18cfaca89383f6000dcc9c031">Generate</a>
, <a class="el" href="class_doxygen_window.html#ad1f6043062e30f52cb634b72294a5676a254f642527b45bc260048e30704edb39">Configuration</a>
, <a class="el" href="class_doxygen_window.html#ad1f6043062e30f52cb634b72294a5676a8f7f4c1ce7a4f933663d10543562b096">About</a>
 }</td></tr>
<tr class="separator:ad1f6043062e30f52cb634b72294a5676"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5ba38d9b1d93fa627bc3b53cdd1dda17"><td class="memItemLeft" align="right" valign="top"><a id="a5ba38d9b1d93fa627bc3b53cdd1dda17" name="a5ba38d9b1d93fa627bc3b53cdd1dda17"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>readBaseConfig</b> ()</td></tr>
<tr class="separator:a5ba38d9b1d93fa627bc3b53cdd1dda17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf3c2a3c3a53e6691e58b865da8404de"><td class="memItemLeft" align="right" valign="top"><a id="abf3c2a3c3a53e6691e58b865da8404de" name="abf3c2a3c3a53e6691e58b865da8404de"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>MakeNewDoxyFile</b> (<a class="el" href="class_doxygen_config.html">DoxygenConfig</a> config)</td></tr>
<tr class="separator:abf3c2a3c3a53e6691e58b865da8404de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63924417d5b5b7a71570ec9a9ef1ca5e"><td class="memItemLeft" align="right" valign="top"><a id="a63924417d5b5b7a71570ec9a9ef1ca5e" name="a63924417d5b5b7a71570ec9a9ef1ca5e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>RunDoxygen</b> ()</td></tr>
<tr class="separator:a63924417d5b5b7a71570ec9a9ef1ca5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a48f456c44b07cc9283a0583579b1d65a"><td class="memItemLeft" align="right" valign="top"><a id="a48f456c44b07cc9283a0583579b1d65a" name="a48f456c44b07cc9283a0583579b1d65a"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>Init</b> ()</td></tr>
<tr class="separator:a48f456c44b07cc9283a0583579b1d65a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2809a93b756a6cfc371ee76a9d7168d7"><td class="memItemLeft" align="right" valign="top"><a id="a2809a93b756a6cfc371ee76a9d7168d7" name="a2809a93b756a6cfc371ee76a9d7168d7"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>OnDoxygenFinished</b> (int code)</td></tr>
<tr class="separator:a2809a93b756a6cfc371ee76a9d7168d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a0c52f34973444c41e90151536dbd6e82"><td class="memItemLeft" align="right" valign="top"><a id="a0c52f34973444c41e90151536dbd6e82" name="a0c52f34973444c41e90151536dbd6e82"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>UnityProjectID</b> = &quot;I have given up:&quot;</td></tr>
<tr class="separator:a0c52f34973444c41e90151536dbd6e82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a470870b3c6a44b3fe2f57870e39cfe55"><td class="memItemLeft" align="right" valign="top"><a id="a470870b3c6a44b3fe2f57870e39cfe55" name="a470870b3c6a44b3fe2f57870e39cfe55"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>AssestsFolder</b> = &quot;&quot;</td></tr>
<tr class="separator:a470870b3c6a44b3fe2f57870e39cfe55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dfb0ba26737a0e996797c2848cc2fc0"><td class="memItemLeft" align="right" valign="top"><a id="a2dfb0ba26737a0e996797c2848cc2fc0" name="a2dfb0ba26737a0e996797c2848cc2fc0"></a>
string[]&#160;</td><td class="memItemRight" valign="bottom"><b>Themes</b> = new string[3] {&quot;Default&quot;, &quot;Dark and Colorful&quot;, &quot;Light and Clean&quot;}</td></tr>
<tr class="separator:a2dfb0ba26737a0e996797c2848cc2fc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff9bfc8c7ed3f017a61e67025ea7c99a"><td class="memItemLeft" align="right" valign="top"><a id="aff9bfc8c7ed3f017a61e67025ea7c99a" name="aff9bfc8c7ed3f017a61e67025ea7c99a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>SelectedTheme</b> = 1</td></tr>
<tr class="separator:aff9bfc8c7ed3f017a61e67025ea7c99a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a4acfac0a07a2a05f183e4f0bc53b62"><td class="memItemLeft" align="right" valign="top"><a id="a7a4acfac0a07a2a05f183e4f0bc53b62" name="a7a4acfac0a07a2a05f183e4f0bc53b62"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>BaseFileString</b> = null</td></tr>
<tr class="separator:a7a4acfac0a07a2a05f183e4f0bc53b62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20e7d1bdb1f32c97f600bf0f0bdb2358"><td class="memItemLeft" align="right" valign="top"><a id="a20e7d1bdb1f32c97f600bf0f0bdb2358" name="a20e7d1bdb1f32c97f600bf0f0bdb2358"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>DoxygenOutputString</b> = null</td></tr>
<tr class="separator:a20e7d1bdb1f32c97f600bf0f0bdb2358"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82b41ae2e3c44b050acc7603031ccd55"><td class="memItemLeft" align="right" valign="top"><a id="a82b41ae2e3c44b050acc7603031ccd55" name="a82b41ae2e3c44b050acc7603031ccd55"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>CurentOutput</b> = null</td></tr>
<tr class="separator:a82b41ae2e3c44b050acc7603031ccd55"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-attribs" name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a45d09c9a64d2873367470303789e3bf9"><td class="memItemLeft" align="right" valign="top"><a id="a45d09c9a64d2873367470303789e3bf9" name="a45d09c9a64d2873367470303789e3bf9"></a>
static <a class="el" href="class_doxygen_window.html">DoxygenWindow</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Instance</b></td></tr>
<tr class="separator:a45d09c9a64d2873367470303789e3bf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A Editor Plugin for automatic doc generation through Doxygen</p>
<p >Author: Jacob Pennock (<a href="http://Jacobpennock.com">http://Jacobpennock.com</a>)</p>
<p >Version: 1.0</p>
<p ><br  />
 </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="ad1f6043062e30f52cb634b72294a5676" name="ad1f6043062e30f52cb634b72294a5676"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1f6043062e30f52cb634b72294a5676">&#9670;&nbsp;</a></span>WindowModes</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum class <a class="el" href="class_doxygen_window.html#ad1f6043062e30f52cb634b72294a5676">DoxygenWindow.WindowModes</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ad1f6043062e30f52cb634b72294a5676a32b919d18cfaca89383f6000dcc9c031" name="ad1f6043062e30f52cb634b72294a5676a32b919d18cfaca89383f6000dcc9c031"></a>Generate&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad1f6043062e30f52cb634b72294a5676a254f642527b45bc260048e30704edb39" name="ad1f6043062e30f52cb634b72294a5676a254f642527b45bc260048e30704edb39"></a>Configuration&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ad1f6043062e30f52cb634b72294a5676a8f7f4c1ce7a4f933663d10543562b096" name="ad1f6043062e30f52cb634b72294a5676a8f7f4c1ce7a4f933663d10543562b096"></a>About&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Editor/Doxygen/<a class="el" href="_doxygen_window_8cs.html">DoxygenWindow.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_doxygen_window.html">DoxygenWindow</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
